WinBase.FILE_ID_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: FILE_ID_INFO

Package com.sun.jna.platform.win32

# Class WinBase.FILE_ID_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.FILE_ID_INFO

Direct Known Subclasses:
  `WinBase.FILE_ID_INFO.ByReference`

Enclosing interface:
  WinBase

@FieldOrder({"VolumeSerialNumber","FileId"}) public static class WinBase.FILE_ID_INFO extends Structure
Contains identification information for a file. This structure is returned from the GetFileInformationByHandleEx function when FileIdInfo is passed in the FileInformationClass parameter.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinBase.FILE_ID_INFO.ByReference`
  `static class`
  `WinBase.FILE_ID_INFO.FILE_ID_128`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinBase.FILE_ID_INFO.FILE_ID_128`
  `FileId`
  The end of the file.
  `long`
  `VolumeSerialNumber`
  The serial number of the volume that contains a file.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FILE_ID_INFO()`
  `FILE_ID_INFO(long VolumeSerialNumber, WinBase.FILE_ID_INFO.FILE_ID_128 FileId)`
  `FILE_ID_INFO(Pointer memory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `sizeOf()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VolumeSerialNumber

    public long VolumeSerialNumber
    The serial number of the volume that contains a file.

  - ### FileId

    public WinBase.FILE_ID_INFO.FILE_ID_128 FileId
    The end of the file.

- ## Constructor Details

  - ### FILE_ID_INFO

    public FILE_ID_INFO()

  - ### FILE_ID_INFO

    public FILE_ID_INFO(Pointer memory)

  - ### FILE_ID_INFO

    public FILE_ID_INFO(long VolumeSerialNumber, WinBase.FILE_ID_INFO.FILE_ID_128 FileId)

- ## Method Details

  - ### sizeOf

    public static int sizeOf()